\begin{frame}
    \center{\huge{\bf{Exercises}}}
\end{frame}

\begin{frame}[fragile] \frametitle{Exercise: Integration I}

\begin{itemize}
    \item Define a function
    \[ f_1(x) = sin(x) \]
    \item Use Trapezoidal integration
    \[ \int_{x_0}^{x_1} {\rm d} x  f(x) \approx h \left[ \frac{f(x_0) + f(x_N)}{2} + \sum_{i=1}^{N-1}  f(x_i) \right] \]
    \[ h = (x_1 - x_0)/N \]
    \item Read $N$, $x_0$ and $x_1$ and print the value of the integral.
\end{itemize}
    
\end{frame}

\begin{frame}[fragile] \frametitle{Exercise: Integration II}

\begin{itemize}
    \item Define functions
    \begin{eqnarray*}
         g(x) &=& 1 \\
         f_1(x) &=& sin(x) \\
         f_2(x) &=& sin(10*x) \\
    \end{eqnarray*}
    \item Use Trapezoidal (see above), and Simpson integration
    \[ \int_{x_0}^{x_1} {\rm d} x  f(x) \approx \frac{h}{3} \left[ 
        f(x_0) + f(x_N) + 4 \sum_{i=1}^{N/2} f(x_{2i-1}) + 2 \sum_{i=1}^{N/2-1} f(x_{2i}) \right] \]
    \[ h = (x_1 - x_0)/N \]
    \item Read $x_0$ and $x_1$ and print the value of the integrals of all three functions, using both methods for even $N$ between 2 and 50.
\end{itemize}
    
\end{frame}